gnutls_x509_crt_check_hostname(3)

NAME
gnutls_x509_crt_check_hostname - This function compares the given hostname with the hostname in the certificate

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_check_hostname(gnutls_x509_crt_t cert, const char * hostname);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain an gnutls_x509_crt_t structure

const char * hostname
    A null terminated string that contains a DNS name

DESCRIPTION
This function will check if the given certificate's subject matches the given hostname. This is a basic implementation of the matching described in RFC2818 (HTTPS), which takes into account wildcards, and the subject alternative name PKIX extension.

Returns non zero on success, and zero on failure.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.